<?php

namespace FiloBlu\Storelocator\Model\ResourceModel\Order;


class Collection extends \Magento\Sales\Model\ResourceModel\Order\Collection
{
    /**
     * Model initialization
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(\FiloBlu\Storelocator\Model\Order::class, \FiloBlu\Storelocator\Model\ResourceModel\Order::class);
        $this->addFilterToMap(
            'entity_id',
            'main_table.entity_id'
        )->addFilterToMap(
            'customer_id',
            'main_table.customer_id'
        )->addFilterToMap(
            'quote_address_id',
            'main_table.quote_address_id'
        );
    }
}
